## tracker-type-utils

tracker-type-utils

## Synopsis

    gchar *             tracker_date_format                 (const gchar *date_string);
    gchar *             tracker_date_format_to_iso8601      (const gchar *date_string,
                                                             const gchar *format);
    gchar *             tracker_date_to_time_string         (const gchar *date_string);
    time_t              tracker_string_to_date              (const gchar *date_string);
    gchar *             tracker_date_to_string              (time_t date_time);
    gchar *             tracker_glong_to_string             (glong i);
    gchar *             tracker_gint_to_string              (gint i);
    gchar *             tracker_guint_to_string             (guint i);
    gchar *             tracker_gint32_to_string            (gint32 i);
    gchar *             tracker_guint32_to_string           (guint32 i);
    gboolean            tracker_string_to_uint              (const gchar *s,
                                                             guint *ret);
    gint                tracker_string_in_string_list       (const gchar *str,
                                                             gchar **strv);
    gboolean            tracker_string_in_gslist            (const gchar *str,
                                                             GSList *list);
    GSList *            tracker_string_list_to_gslist       (gchar **strv,
                                                             gsize length);
    gchar *             tracker_string_list_to_string       (gchar **strv,
                                                             gsize length,
                                                             gchar sep);
    gchar **            tracker_string_to_string_list       (const gchar *str);
    gchar **            tracker_gslist_to_string_list       (GSList *list);
    GSList *            tracker_gslist_copy_with_string_data
                                                            (GSList *list);
    GList *             tracker_glist_copy_with_string_data (GList *list);
    gchar *             tracker_string_boolean_to_string_gint
                                                            (const gchar *value);

## Description

## Details

### tracker_date_format ()

    gchar *             tracker_date_format                 (const gchar *date_string);

`date_string` : |
Returns : |

### tracker_date_format_to_iso8601 ()

    gchar *             tracker_date_format_to_iso8601      (const gchar *date_string,
                                                             const gchar *format);

`date_string` : |
`format` : |
Returns : |

### tracker_date_to_time_string ()

    gchar *             tracker_date_to_time_string         (const gchar *date_string);

`date_string` : |
Returns : |

### tracker_string_to_date ()

    time_t              tracker_string_to_date              (const gchar *date_string);

`date_string` : |
Returns : |

### tracker_date_to_string ()

    gchar *             tracker_date_to_string              (time_t date_time);

`date_time` : |
Returns : |

### tracker_glong_to_string ()

    gchar *             tracker_glong_to_string             (glong i);

`i` : |
Returns : |

### tracker_gint_to_string ()

    gchar *             tracker_gint_to_string              (gint i);

`i` : |
Returns : |

### tracker_guint_to_string ()

    gchar *             tracker_guint_to_string             (guint i);

`i` : |
Returns : |

### tracker_gint32_to_string ()

    gchar *             tracker_gint32_to_string            (gint32 i);

`i` : |
Returns : |

### tracker_guint32_to_string ()

    gchar *             tracker_guint32_to_string           (guint32 i);

`i` : |
Returns : |

### tracker_string_to_uint ()

    gboolean            tracker_string_to_uint              (const gchar *s,
                                                             guint *ret);

`s` : |
`ret` : |
Returns : |

### tracker_string_in_string_list ()

    gint                tracker_string_in_string_list       (const gchar *str,
                                                             gchar **strv);

`str` : |
`strv` : |
Returns : |

### tracker_string_in_gslist ()

    gboolean            tracker_string_in_gslist            (const gchar *str,
                                                             GSList *list);

`str` : |
`list` : |
Returns : |

### tracker_string_list_to_gslist ()

    GSList *            tracker_string_list_to_gslist       (gchar **strv,
                                                             gsize length);

`strv` : |
`length` : |
Returns : |

### tracker_string_list_to_string ()

    gchar *             tracker_string_list_to_string       (gchar **strv,
                                                             gsize length,
                                                             gchar sep);

`strv` : |
`length` : |
`sep` : |
Returns : |

### tracker_string_to_string_list ()

    gchar **            tracker_string_to_string_list       (const gchar *str);

`str` : |
Returns : |

### tracker_gslist_to_string_list ()

    gchar **            tracker_gslist_to_string_list       (GSList *list);

`list` : |
Returns : |

### tracker_gslist_copy_with_string_data ()

    GSList *            tracker_gslist_copy_with_string_data
                                                            (GSList *list);

`list` : |
Returns : |

### tracker_glist_copy_with_string_data ()

    GList *             tracker_glist_copy_with_string_data (GList *list);

`list` : |
Returns : |

### tracker_string_boolean_to_string_gint ()

    gchar *             tracker_string_boolean_to_string_gint
                                                            (const gchar *value);

`value` : |
Returns : |